Subject: Re: Linking with third party libraries in .lib format?
From: [email-masked] (Larry Meadows)

2 May 1998 16:53:43 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked] (Bruce Conroy)
Cc: [email-masked]

- The FAQ is pretty wrong. It is sort of correct for using interface
libs to dlls, but not for what you are asking.

- The gcc linker will not properly handle most microsoft libraries as it
stands. There are numerous incompatibilities. However, link.exe does
handle gnu .o files OK, so your easiest solution is to use microsoft
link rather than gnu ld. Note that link does have some problems with
gnu dll interface libraries, so you may need to use the microsoft ones.

- There are some people working on fixing this, but it may be a while
before it gets into a release mode.

lfm
> Please forgive me if this is a FAQ, but I couldn't find it in the archives.
> 
> I have some instrument drivers from HP. Each consists of a header file and
> a library file (ie xxx.h and xxx.lib). They are intended for use with
> either MS Visual C or Borland C. I can compile and link with Gnu C without
> error messages from gcc, but the program crashes.
> 
> Is there a procedure to either convert the .lib to a .a file, or to
> include the right options in my c code to make it work?
> 
> Bruce Conroy
> 
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".